## org.apache.commons.math.distribution
Interface ChiSquaredDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution, HasDensity<java.lang.Double>

All Known Implementing Classes:
  ChiSquaredDistributionImpl

    public interface ChiSquaredDistribution

extends ContinuousDistribution, HasDensity<java.lang.Double>

The Chi-Squared Distribution.

References:

- Chi-Squared Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 07:53:44 -0500 (Tue, 09 Mar 2010) $

Method Summary
`double` `density(java.lang.Double x)` Return the probability density for a particular point.
`double` `getDegreesOfFreedom()` Access the degrees of freedom.
`void` `setDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### setDegreesOfFreedom

    @Deprecated
    void setDegreesOfFreedom(double degreesOfFreedom)

  Deprecated. as of v2.1

  Modify the degrees of freedom.

  Parameters:
    `degreesOfFreedom` - the new degrees of freedom.

### getDegreesOfFreedom

    double getDegreesOfFreedom()

  Access the degrees of freedom.

  Returns:
    the degrees of freedom.

### density

    double density(java.lang.Double x)

  Return the probability density for a particular point.

  Specified by:
    `density` in interface `HasDensity<java.lang.Double>`
  Parameters:
    `x` - The point at which the density should be computed.
  Returns:
    The pdf at point x.

Copyright (c) 2003-2010 Apache Software Foundation